Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class EMOHMDF111CancelApplicationResponse

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.EMOHMDF111CancelApplicationResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class EMOHMDF111CancelApplicationResponse extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MessageMetadataType" minOccurs="0"/>
             <element name="CancelApplication" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}CancelApplicationResponseType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EMOHMDF111CancelApplicationResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CancelApplicationResponseType`
  `getCancelApplication()`
  Antwoord op de vraag tot annulering.
  `MessageMetadataType`
  `getMessageMetadata()`
  Algemene identificatie van het bericht.
  `void`
  `setCancelApplication(CancelApplicationResponseType value)`
  Sets the value of the cancelApplication property.
  `void`
  `setMessageMetadata(MessageMetadataType value)`
  Sets the value of the messageMetadata property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EMOHMDF111CancelApplicationResponse

    public EMOHMDF111CancelApplicationResponse()

- ## Method Details

  - ### getMessageMetadata

    public MessageMetadataType getMessageMetadata()
    Algemene identificatie van het bericht.
    Returns:
      possible object is `MessageMetadataType`

  - ### setMessageMetadata

    public void setMessageMetadata(MessageMetadataType value)
    Sets the value of the messageMetadata property.
    Parameters:
      `value` - allowed object is `MessageMetadataType`
    See Also:
      - `getMessageMetadata()`

  - ### getCancelApplication

    public CancelApplicationResponseType getCancelApplication()
    Antwoord op de vraag tot annulering.
    Returns:
      possible object is `CancelApplicationResponseType`

  - ### setCancelApplication

    public void setCancelApplication(CancelApplicationResponseType value)
    Sets the value of the cancelApplication property.
    Parameters:
      `value` - allowed object is `CancelApplicationResponseType`
    See Also:
      - `getCancelApplication()`